# Get a void

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/voids/{void_id}`

Retrieve details of a specific void transaction.

You can expand the following fields:
* account
* created_session
* parts
* source_transaction
* updated_session

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `void_id` | path | string | yes | The void's ID (`vo_...`). |
| `expand` | query | string | no | Fields to expand into full objects |

## Responses

### 200: Void details

```json
{
  "void": {
    "id": "string",
    "account": "string",
    "amount": "string",
    "created": "2026-01-01T12:00:00Z",
    "created_session": "string",
    "currency": "string",
    "gateway_message": "string",
    "gateway_reference": "string",
    "gateway_status": "string",
    "metadata": {},
    "offline": true,
    "parts": [
      "string"
    ],
    "payment": "string",
    "processed": "2026-01-01T12:00:00Z",
    "reference": "string",
    "source_transaction": "string",
    "status": "SUCCESS",
    "updated": "2026-01-01T12:00:00Z",
    "updated_session": "string",
    "v": 0
  }
}
```

### 400: Bad request - invalid parameters

```json
{
  "code": "string",
  "message": "string"
}
```

### 401: Unauthorised: the API key is missing or not valid

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Void not found

```json
{
  "code": "string",
  "message": "string"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/voids/VOID_ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/getvoid/